import * as dotenv from 'dotenv';
import {
  WebSocketGateway,
  OnGatewayInit,
  WebSocketServer,
  OnGatewayConnection,
  OnGatewayDisconnect,
} from '@nestjs/websockets';
import { Socket, Server } from 'socket.io';

dotenv.config();

@WebSocketGateway({
  cors: { origin: [process.env.USUARIO_FRONT, process.env.OPERADOR_FRONT] },
})
export class AppGateway
  implements OnGatewayInit, OnGatewayConnection, OnGatewayDisconnect
{
  @WebSocketServer() server: Server;

  actualizarUsuario(id_usuario: number) {
    this.server.emit('actualizar-usuario', { id_usuario });
  }

  actualizarOperador(id_institucion: number) {
    this.server.emit('actualizar-operador', { id_institucion });
  }

  equiposNuevos(id_institucion: number, data) {
    this.server.emit('equipos-nuevos', { id_institucion, data });
  }

  usuariosNuevos(id_institucion: number, data) {
    this.server.emit('usuarios-nuevos', { id_institucion, data });
  }

  afterInit(server: Server) {}

  handleConnection(client: Socket, ...args: any[]) {}

  handleDisconnect(client: Socket) {}
}
