import {
  IsBoolean,
  IsInt,
  IsNotEmpty,
  IsOptional,
  IsString,
  MaxLength,
} from 'class-validator';

export class UpdateCarritoDto {
  @IsInt()
  id_carrito: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsString()
  @IsNotEmpty()
  @MaxLength(3)
  @IsOptional()
  carrito?: string;

  @IsBoolean()
  @IsOptional()
  laboratorioMovil?: boolean;

  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  @IsOptional()
  motivo?: string;

  @IsInt()
  @IsOptional()
  numero_equipos?: number;
}
