import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Equipo } from '../../equipo/entity/equipo.entity';
import { TipoEntrada } from '../../institucion-tipo-entrada/entity/tipo-entrada.entity';

@Entity()
export class EquipoTipoEntrada {
  @PrimaryGeneratedColumn()
  id_equipo_tipo_entrada: number;

  @Column({ type: Number, nullable: true })
  id_equipo: number;

  @Column({ type: Number, nullable: true })
  id_tipo_entrada: number;

  @ManyToOne(() => Equipo, (equipo) => equipo.tiposEntradas)
  @JoinColumn({ name: 'id_equipo' })
  equipo: Equipo;

  @ManyToOne(() => TipoEntrada, (tipoEntrada) => tipoEntrada.equipos)
  @JoinColumn({ name: 'id_tipo_entrada' })
  tipoEntrada: TipoEntrada;
}
