import { join } from 'path';
import { NestFactory } from '@nestjs/core';
import { NestExpressApplication } from '@nestjs/platform-express';
import { SwaggerModule, DocumentBuilder } from '@nestjs/swagger';
import { ValidationPipe } from '@nestjs/common';
import { AppModule } from './app.module';

async function bootstrap() {
  const app = await NestFactory.create<NestExpressApplication>(AppModule);
  // const config = new DocumentBuilder()
  //   .setTitle('pcpuma_unam_api')
  //   .setDescription('Api de Pc puma')
  //   .setVersion('1.0')
  //   .addBearerAuth({ bearerFormat: 'JWT', type: 'http' }, 'jwt')
  //   .build();
  // const document = SwaggerModule.createDocument(app, config);

  // SwaggerModule.setup('/api', app, document);
  app.useGlobalPipes(new ValidationPipe({ whitelist: true }));
  app.enableCors();
  app.useStaticAssets(join(__dirname, '..', 'public'), {
    prefix: '/public/',
  });
  await app.listen(process.env.API_PORT);
}

bootstrap();
