import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Institucion } from '../../../institucion/entity/institucion.entity';
import { Operador } from '../operador.entity';
import { TipoUsuario } from '../../../tipo-usuario/entity/tipo-usuario.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('o.id_operador', 'id_operador')
      .addSelect('o.activo', 'activo')
      .addSelect('o.correo', 'correo')
      .addSelect('o.id_institucion', 'id_institucion')
      .addSelect('o.id_tipo_usuario', 'id_tipo_usuario')
      .addSelect('o.nombre', 'nombre')
      .addSelect('o.operador', 'operador')
      .addSelect('o.password', 'password')
      .addSelect('i.institucion', 'institucion')
      .addSelect('i.logo', 'logo')
      .addSelect('tu.tipo_usuario', 'tipo_usuario')
      .from(Operador, 'o')
      .innerJoin(Institucion, 'i', 'i.id_institucion = o.id_institucion')
      .innerJoin(TipoUsuario, 'tu', 'tu.id_tipo_usuario = o.id_tipo_usuario')
      .orderBy('institucion')
      .addOrderBy('tipo_usuario')
      .addOrderBy('operador'),
})
export class FullInformacionOperadorView {
  @ViewColumn()
  id_operador: number;

  @ViewColumn()
  activo: number;

  @ViewColumn()
  correo: string;

  @ViewColumn()
  id_institucion: number;

  @ViewColumn()
  id_tipo_usuario: number;

  @ViewColumn()
  institucion: string;

  @ViewColumn()
  logo: string;

  @ViewColumn()
  nombre: string;

  @ViewColumn()
  operador: string;

  @ViewColumn()
  password: string;

  @ViewColumn()
  tipo_usuario: string;
}
