import {
  IsBoolean,
  IsNotEmpty,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class ActivosDto {
  @IsBoolean()
  activo = true;

  @IsNumberString()
  pagina: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  carrito?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  equipo?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_prestamo?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_usuario?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  usuario?: string;
}
