import {
  IsBooleanString,
  IsDateString,
  IsNotEmpty,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class HistorialDto {
  @IsNumberString()
  pagina: string;

  @IsBooleanString()
  @IsOptional()
  activo?: string;

  @IsBooleanString()
  @IsOptional()
  cancelado_operador?: string;

  @IsBooleanString()
  @IsOptional()
  cancelado_usuario?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  carrito?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  equipo?: string;

  @IsDateString()
  @IsOptional()
  fechaFin?: string;

  @IsDateString()
  @IsOptional()
  fechaInicio?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion_carrera?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_operador_entrega?: string;

  @IsNumberString()
  @IsOptional()
  id_operador_regreso?: string;

  @IsNumberString()
  @IsOptional()
  id_prestamo?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_usuario?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  usuario?: string;
}
